USE [COWS]


GO

/****** Object:  Table [cnv].[REDSGN]    Script Date: 11/23/2016 10:01:11 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [cnv].[REDSGN](
	[REDSGN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_NBR] [varchar](20) NOT NULL,
	[H1_CD] [varchar](9) NOT NULL,
	[CUST_NME] [varbinary](max) NOT NULL,
	[NTE_ASSIGNED] [varchar](100) NULL,
	[PM_ASSIGNED] [varchar](100) NULL,
	[REDSGN_TYPE_ID] [tinyint] NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[ENTIRE_NW_CKD_ID] [bit] NOT NULL DEFAULT ((0)),
	[REDSGN_DEV_STUS_ID] [smallint] NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
	[MODFD_BY_CD] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[SUBMIT_DT] [smalldatetime] NULL,
	[MOD_SUBMIT_DT] [smalldatetime] NULL,
	[SLA_DT] [smalldatetime] NULL,
	[ODIE_CUST_ID] [varchar](10) NULL,
	[APPROV_NBR] [varchar](50) NULL,
	[COST_AMT] [decimal](10, 2) NULL,
	[LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[EXPRTN_DT] [smalldatetime] NULL,
	[CUST_EMAIL_ADR] [varbinary](max) NULL,
	[SCURD_CD] [bit] NULL,
	[CSG_LVL_ID] [tinyint] NULL,
	[EXT_XPIRN_FLG_CD] [bit] NULL,
	[REDSGN_CAT_ID] [tinyint] NULL,
	[DSGN_DOC_LOC_TXT] [nvarchar](2000) NULL,
	[IsSuccessful] [bit] NULL,
	[FailReasonTxt] [varchar](1000) NULL,
 CONSTRAINT [PK_REDSGN] PRIMARY KEY CLUSTERED 
(
	[REDSGN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK03_REDSGN] FOREIGN KEY([REDSGN_TYPE_ID])
REFERENCES [dbo].[LK_REDSGN_TYPE] ([REDSGN_TYPE_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK03_REDSGN]
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK04_REDSGN] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK04_REDSGN]
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK05_REDSGN] FOREIGN KEY([REDSGN_DEV_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK05_REDSGN]
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK06_REDSGN] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK06_REDSGN]
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK07_REDSGN] FOREIGN KEY([MODFD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK07_REDSGN]
GO

ALTER TABLE [cnv].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK08_REDSGN] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [cnv].[REDSGN] NOCHECK CONSTRAINT [FK08_REDSGN]
GO


GO

/****** Object:  Table [cnv].[REDSGN_DEVICES_INFO]    Script Date: 11/23/2016 10:00:48 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [cnv].[REDSGN_DEVICES_INFO](
	[REDSGN_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[SEQ_NBR] [smallint] NOT NULL,
	[DEV_NME] [varchar](50) NULL,
	[FAST_TRK_CD] [bit] NULL,
	[DSPCH_RDY_CD] [bit] NULL,
	[REC_STUS_ID] [bit] NOT NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
	[MODFD_BY_CD] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[EVENT_ID] [int] NULL,
	[EVENT_CMPLTN_DT] [smalldatetime] NULL,
	[H6_CUST_ID] [dbo].[H6] NULL,
 CONSTRAINT [PK_REDSGN_DEVICES_INFO] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UX01_REDSGN_DEVICES_INFO] UNIQUE NONCLUSTERED 
(
	[REDSGN_ID] ASC,
	[DEV_NME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_DEVICES_INFO] FOREIGN KEY([REDSGN_ID])
REFERENCES [cnv].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK01_REDSGN_DEVICES_INFO]
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK03_REDSGN_DEVICES_INFO] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK03_REDSGN_DEVICES_INFO]
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK04_REDSGN_DEVICES_INFO] FOREIGN KEY([MODFD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK04_REDSGN_DEVICES_INFO]
GO
/*
ALTER TABLE [cnv].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK05_REDSGN_DEVICES_INFO] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID]) */
GO

ALTER TABLE [cnv].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK05_REDSGN_DEVICES_INFO]
GO


GO

/****** Object:  Table [cnv].[REDSGN_EMAIL_NTFCTN]    Script Date: 11/23/2016 10:00:25 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [cnv].[REDSGN_EMAIL_NTFCTN](
	[REDSGN_EMAIL_NTFCTN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NULL,
	[USER_IDNTFCTN_EMAIL] [varchar](100) NULL,
	[REC_STUS_ID] [bit] NOT NULL,
	[CRETD_USER_ID] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_EMAIL_NTFCTN] PRIMARY KEY CLUSTERED 
(
	[REDSGN_EMAIL_NTFCTN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UX01_REDSGN_EMAIL_NTFCTN] UNIQUE NONCLUSTERED 
(
	[REDSGN_ID] ASC,
	[USER_IDNTFCTN_EMAIL] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [cnv].[REDSGN_EMAIL_NTFCTN]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_EMAIL_NTFCTN] FOREIGN KEY([REDSGN_ID])
REFERENCES [cnv].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [cnv].[REDSGN_EMAIL_NTFCTN] CHECK CONSTRAINT [FK01_REDSGN_EMAIL_NTFCTN]
GO

ALTER TABLE [cnv].[REDSGN_EMAIL_NTFCTN]  WITH CHECK ADD  CONSTRAINT [FK03_REDSGN_EMAIL_NTFCTN] FOREIGN KEY([CRETD_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN_EMAIL_NTFCTN] CHECK CONSTRAINT [FK03_REDSGN_EMAIL_NTFCTN]
GO

GO

/****** Object:  Table [cnv].[REDSGN_NOTES]    Script Date: 11/23/2016 9:53:31 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [cnv].[REDSGN_NOTES](
	[REDSGN_NOTES_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[REDSGN_NTE_TYPE_ID] [tinyint] NOT NULL,
	[NOTES] [varchar](5000) NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_NOTES] PRIMARY KEY CLUSTERED 
(
	[REDSGN_NOTES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [cnv].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_NOTES] FOREIGN KEY([REDSGN_ID])
REFERENCES [cnv].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [cnv].[REDSGN_NOTES] CHECK CONSTRAINT [FK01_REDSGN_NOTES]
GO

ALTER TABLE [cnv].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK02_REDSGN_NOTES] FOREIGN KEY([REDSGN_NTE_TYPE_ID])
REFERENCES [dbo].[LK_REDSGN_NOTES_TYPE] ([REDSGN_NTE_TYPE_ID])
GO

ALTER TABLE [cnv].[REDSGN_NOTES] CHECK CONSTRAINT [FK02_REDSGN_NOTES]
GO

ALTER TABLE [cnv].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK03_REDSGN_NOTES] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [cnv].[REDSGN_NOTES] CHECK CONSTRAINT [FK03_REDSGN_NOTES]
GO

GO
CREATE TABLE [cnv].[REDSGN_DEV_EVENT_HIST](
	[REDSGN_DEV_EVENT_HIST_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[EVENT_ID] [int]  NOT NULL,
	[CMPLTD_DT] [datetime]  NOT NULL CONSTRAINT [DF_getdate_REDSGN_DEV_EVENT_HIST_1]  DEFAULT (getdate()),
	[REDSGN_DEV_ID] [int]  NULL,
 CONSTRAINT [PK_REDSGN_DEV_EVENT_HIST] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DEV_EVENT_HIST_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [cnv].[REDSGN_DEV_EVENT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [cnv].[REDSGN_DEV_EVENT_HIST] CHECK CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST]
GO